=== debian/control ===
Source: ros-melodic-cloudwatch-logger
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), google-mock, libgtest-dev, ros-melodic-aws-common, ros-melodic-aws-ros1-common, ros-melodic-catkin, ros-melodic-cloudwatch-logs-common, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-std-msgs, ros-melodic-std-srvs
Homepage: http://wiki.ros.org/cloudwatch_logger
Standards-Version: 3.9.2

Package: ros-melodic-cloudwatch-logger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-aws-common, ros-melodic-aws-ros1-common, ros-melodic-cloudwatch-logs-common, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-std-srvs
Description: CloudWatch Logger node for publishing logs to AWS CloudWatch Logs
